#
# spec file for package
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fslint
Version:        2.46
Release:        bp153.1.14
License:        GPL-2.0
Summary:        A utility to find and clean "lint" on a filesystem
Url:            http://www.pixelbeat.org/fslint/
Group:          System/Filesystems
Source0:        http://www.pixelbeat.org/fslint/%{name}-%{version}.tar.xz
Source1:        fslint.desktop
BuildRequires:  desktop-file-utils
BuildRequires:  gettext >= 0.13
Requires:       cpio
Requires:       python >= 2.0
Requires:       python-gtk >= 2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif

%description
FSlint is a utility to find redundant disk usage like duplicate files
for example. It can be used to reclaim disk space and fix other problems
like file naming issues and bad symlinks etc.
It includes a GTK+ GUI as well as a command line interface.

%prep
%setup -q
perl -pi -e 's|^liblocation=.*$|liblocation="%{_datadir}/%{name}" #RPM edit|' fslint-gui
perl -pi -e 's|^locale_base=.*$|locale_base=None #RPM edit|' fslint-gui


%build



%install
install -Dpm 755 fslint-gui %{buildroot}%{_bindir}/fslint-gui
install -dm 755 %{buildroot}%{_datadir}/%{name}/%{name}/{fstool,supprt}
install -dm 755 %{buildroot}%{_datadir}/%{name}/%{name}/supprt/rmlint
install -dm 755 %{buildroot}%{_mandir}/man1
install -pm 644 fslint.glade fslint_icon.png \
  %{buildroot}%{_datadir}/%{name}
install -dm 755 %{buildroot}%{_datadir}/pixmaps
ln -s ../%{name}/fslint_icon.png %{buildroot}%{_datadir}/pixmaps
install -pm 755 fslint/{find*,fslint,zipdir} \
  %{buildroot}%{_datadir}/%{name}/fslint
install -pm 755 fslint/fstool/* \
  %{buildroot}%{_datadir}/%{name}/fslint/fstool
install -pm 644 fslint/supprt/fslver \
  %{buildroot}%{_datadir}/%{name}/fslint/supprt
install -pm 755 fslint/supprt/get* \
  %{buildroot}%{_datadir}/%{name}/fslint/supprt
install -pm 755 fslint/supprt/md5sum_approx \
  %{buildroot}%{_datadir}/%{name}/fslint/supprt
install -pm 755 fslint/supprt/rmlint/* \
  %{buildroot}%{_datadir}/%{name}/fslint/supprt/rmlint

cp -a man/* \
  %{buildroot}%{_mandir}/man1/

make -C po DESTDIR=%{buildroot} LOCALEDIR=%{_datadir}/locale install

install  -pm 755 -D %{SOURCE1}  %{buildroot}%{_datadir}/applications/fslint.desktop


%if 0%{?suse_version}
%suse_update_desktop_file %{buildroot}%{_datadir}/applications/%{name}.desktop
%endif

%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/*
%{_mandir}/man1/fslint*
%{_bindir}/fslint-gui
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/fslint_icon.png


%changelog
* Tue Jul 11 2017 ecsos@opensuse.org
- update to 2.46
  * Fixes:
  * Selecting within and removal of GUI groups works again.
    This regression was introduced in 2.44.
  * "Bad symlinks" functionality works in the GUI again.
    This regression was introduced in 2.44.
  * Dangling symlinks are reported correctly for symlinks
    whose names end in 2 digits.
  * Empty directories now only lists actual empty dirs
    even if extra find parameters are specified.
  * Empty directories now ignore specified exluded paths, as
    they can impact whether an "empty" directory can be removed.
  * Single quotes in extra find params are now quoted,
    and no longer generate a syntax error.
  * Multiple adjacent spaces in command line params are preserved
    and no longer generate file not found errors.
  * Listing packages is supported for modern archlinux systems.
  * Improvements:
  * findup now includes zero length files by default.  This can
    be changed with -size +0c, or the new GUI min size option.
  * findup no longer reports/remerges duplicates when there
    are other files being checked that are the same size.
    (The GUI already had such logic in place).
  * findup supports symlinking duplicates as well as hardlinking.
  * "Select from same folder" is now less CPU and RAM intensive.
  * A renamed duplicate file no longer auto removes another
    item in the group from display, to allow deleting it etc.
* Fri Apr  3 2015 toddrme2178@gmail.com
- Update to 2.44
  * Translations:
  * Added: Polish.
  * Updated: Galician,Czech,Spanish,France,Romanian,Serbian,
    Russian,Swedish,German.
  * Fixes:
  * finded now doesn't report passed non empty directories when
    not recursing. This regression was introduced in 2.40.
  * The wildcard selection dialog is displayed correctly again
    in German locales. This regression was introduced in 2.42.
  * File metadata is now maintained when cleaning whitespace.
  * findup -d now supports file names with trailing whitespace.
  * Changed the complexity of deleting files from O((n/2)*(n+1))
    to O(n), n being the number of items in the GtkCList, not
    the number of items being deleted.
  * findns and findul now work with findutils >= 4.5.11
  * Improvements:
  * Add support for selecting all files from a the same folder
    as another file.
* Mon Sep  6 2010 mrdocs@opensuse.org
-spec file cleanup
  * Sun May  2 20:57:07 UTC 2010 mrdocs at opensuse.org
- 2.42 release
  * Mon Oct 13 2008 mrdocs at opensuse.org
- first build server package
- reviewed by mw and move changelog into .changes file
